Skip to main content
PUT
/
campaigns
/
{campaignId}
Update a campaign
curl --request PUT \
  --url https://backstage.example.com/api/soundcheck/campaigns/{campaignId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "type": "campaign",
  "levels": [
    {
      "ordinal": 123,
      "checks": [
        {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "filter": {},
          "exclude": {}
        }
      ],
      "name": "<string>",
      "description": "<string>",
      "badge": {
        "color": "<string>",
        "svg": "<string>"
      }
    }
  ],
  "name": "<string>",
  "description": "<string>",
  "ownerEntityRef": "<string>",
  "group": "<string>",
  "badge": {
    "color": "<string>",
    "svg": "<string>"
  },
  "filter": {},
  "exclude": {},
  "documentationURL": "<string>",
  "draft": true,
  "isEditable": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "archived": true,
  "supportChannel": "<string>",
  "startDate": "<string>",
  "targetCompletionDate": "<string>",
  "milestones": [
    {}
  ]
}
'
{
  "campaign": {
    "id": "<string>",
    "type": "campaign",
    "levels": [
      {
        "ordinal": 123,
        "checks": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "filter": {},
            "exclude": {}
          }
        ],
        "name": "<string>",
        "description": "<string>",
        "badge": {
          "color": "<string>",
          "svg": "<string>"
        }
      }
    ],
    "name": "<string>",
    "description": "<string>",
    "ownerEntityRef": "<string>",
    "group": "<string>",
    "badge": {
      "color": "<string>",
      "svg": "<string>"
    },
    "filter": {},
    "exclude": {},
    "documentationURL": "<string>",
    "draft": true,
    "isEditable": true,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archived": true,
    "supportChannel": "<string>",
    "startDate": "<string>",
    "targetCompletionDate": "<string>",
    "milestones": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

campaignId
string
required

The ID of the campaign

Body

application/json

Note: Additional validation rules are enforced at runtime via Zod and are not fully represented in this OpenAPI schema.

id
string
required
type
enum<string>
default:campaign
required
Available options:
campaign
levels
object[]
required
Minimum array length: 1
name
string
required
Required string length: 1 - 100
description
string
required
Minimum string length: 1
ownerEntityRef
string
required
group
string
badge
object
filter
object
exclude
object
documentationURL
string
badgeType
enum<string>
Available options:
medal,
status
draft
boolean
isEditable
boolean
createdAt
string
updatedAt
string
archived
boolean
supportChannel
string
startDate
string
targetCompletionDate
string
milestones
object[]

Response

OK

campaign
object

Note: Additional validation rules are enforced at runtime via Zod and are not fully represented in this OpenAPI schema.